#ifndef CBASEPOLYGON_H
#define CBASEPOLYGON_H

#include "cdumbpolygon.h"


/**
@brief Чисто виртуальный класс для разных умных полигонов

Изначально планировалось, что класс будет использоваться в качестве описания интерфейса более умных полигонов (и простые полигоны и выпуклые должны уметь находить свой момент инерции, например) но класс оказался невостребованным (функции, которые он объявлял переехали выше по иерархии, а новых не появилось). Например, триангуляцию, видимо, будет осуществлять CDumbPolygon

TODO: Класс предлагается к удалению. (Подождём месяцок-другой?)

	@author Феклушкин Денис <edu2005-60@mail.ru>
*/
class CBasePolygon : public CDumbPolygon
{
public:
    CBasePolygon();
    CBasePolygon( const CBasePolygon& src );
    ~CBasePolygon();

 };

#endif
